List EventResponse - m3ter Documentation

List EventResponse

cURL

curl --request GET \
  --url https://api.m3ter.com/organizations/{orgId}/events \
  --header 'Authorization: Bearer <token>'

Python

import requests

url = "https://api.m3ter.com/organizations/{orgId}/events"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)

JavaScript

const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.m3ter.com/organizations/{orgId}/events', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP




Response Codes

Example Response

{
  "data": [{
    "id": "9cb46d85-7cb6-4637-80a1-d4ec38e4ab30",
    "eventName": "configuration.commitment.created",
    "eventTime": "2022-10-28T13:54:49.557Z",
    "dtActioned": "2022-10-28T13:56:49.557Z",
    "m3terEvent": {
      "eventData": {
        "newDto": {
          "commitmentFeeDescription": "",
          "endDate": "2024-12-31",
          "billingInterval": 1,
          "orgId": "396d788d-5174-XXXX-9d69-YYYY4671fc33",
          "overageSurchargePercent": 5,
          "overageDescription": "",
          "currency": "USD",
          "id": "480d317e-2030-416b-b64b-c07577c418b4",
          "amountSpent": 0,
          "accountCode": "doetech_premium",
          "amount": 15000,
          "billingOffset": 0,
          "lastModifiedBy": "USER_810e3a43-XXXX-4dab-YYYY-470977405b58",
          "billingPlanId": "0409e75a-8a87-43de-aa58-fc6ec823ce37",
          "version": 1,
          "accountId": "1cf2a754-476c-498c-b05a-7d41abfc404d",
          "dtCreated": "2022-10-28T13:54:48.081781Z",
          "amountPrePaid": 0,
          "productIds": ["bec371ef-dbad-4e73-a56a-dadecff2287c"],
          "createdBy": "USER_810e3a43-XXXX-4dab-YYYY-470977405b58",
          "contractId": "68595d6d-261f-496b-bf88-51fc7d2b5ccc",
          "commitmentUsageDescription": "",
          "startDate": "2023-01-01",
          "dtLastModified": "2022-10-28T13:54:48.081781Z"
        }
      }
    }
  }],
  "nextToken": "<string>"
}

Error Response

{
  "message": "<string>"
}

Authorization

Path Parameters

Query Parameters

Response